Packages on hold

All Gurus once were Newbies
Forum rules
There are no such things as "stupid" questions. However if you think your question is a bit stupid, then this is the right place for you to post it. Please stick to easy to-the-point questions that you feel people can answer fast. For long and complicated questions prefer the other forums within the support section.
Before you post please read this

Packages on hold

Postby rolandpish on Thu Feb 03, 2011 9:22 am

Hi there.

Everytime I run an apt-get upgrade, these packages remain on hold:

Code: Select all
bind9-host dnsutils gnome-core libavcodec52 libavformat52 libbind9-60 libisccc60 liblwres60 libquicktime1 libva1 mencoder mplayer


Ok, so then if I run an apt-get dist-upgrade, these "on hold" packages are to be updated but also these packages will be installed:

Code: Select all
desktop-base epiphany-browser epiphany-browser-data evolution evolution-common evolution-plugins evolution-webcal gir1.0-clutter-1.0 gir1.0-freedesktop gir1.0-glib-2.0 gir1.0-gstreamer-0.10 gir1.0-gtk-2.0 gir1.0-json-glib-1.0 gnome-themes libavcore0 libdns69 libevolution libgtkimageview0 libisc62 libisccfg62 libseed0 libva-x11-1 libx264-112


And I don't want that packages like epiphany and evolution get installed onto my system. How can I perform a dist-upgrade without installing epiphany and evolution? Or Do you recommend waiting until dependencies for "on hold" packages are ready?

Thanks in advance.

Cheers.
rolandpish
Level 2
Level 2
 
Posts: 59
Joined: Sun Jul 25, 2010 4:33 pm

Linux Mint is funded by ads and donations.
 

Re: Packages on hold

Postby Dave68 on Thu Feb 03, 2011 9:31 am

There is a thread around here that covers how to avoid the new gnome-metapackage that you are talking about.

You could let it come through, then edit your Mint-Menu so that these do not show by right clicking on Mint-Menu and selecting preferences.

I'll see if I can't find that thread here in a bit, then I'll edit this Post.

Thanks,
Dave

Edit: Here is the topic that covers your current issue: viewtopic.php?f=141&t=62021&p=356322&hilit=metapackage#p356322
Linux User: 528038
Primary PC: Version: LMDE (201101), 32 Bit.
Alternate 1: Version: Peppermint One OS, 32 Bit.
Laptop: Version: Julia Main (10), AMD 64
Image
User avatar
Dave68
Level 4
Level 4
 
Posts: 298
Joined: Wed Jun 16, 2010 1:15 pm
Location: Bolivar, Missouri

Re: Packages on hold

Postby rolandpish on Thu Feb 03, 2011 11:37 am

Thanks a lot Dave; really appreciate it.
I'm looking at that thread right now.

Cheers.
rolandpish
Level 2
Level 2
 
Posts: 59
Joined: Sun Jul 25, 2010 4:33 pm

Re: Packages on hold

Postby Dave68 on Thu Feb 03, 2011 4:20 pm

No problem.

Take Care,
Dave
Linux User: 528038
Primary PC: Version: LMDE (201101), 32 Bit.
Alternate 1: Version: Peppermint One OS, 32 Bit.
Laptop: Version: Julia Main (10), AMD 64
Image
User avatar
Dave68
Level 4
Level 4
 
Posts: 298
Joined: Wed Jun 16, 2010 1:15 pm
Location: Bolivar, Missouri


Return to Newbie Questions

Who is online

Users browsing this forum: No registered users and 2 guests